Skip to main content
GET
/
api
/
v1
/
instruments
/
volumes
/
daily
Get daily trading volumes
curl --request GET \
  --url https://api.international.coinbase.com/api/v1/instruments/volumes/daily
import requests

url = "https://api.international.coinbase.com/api/v1/instruments/volumes/daily"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.international.coinbase.com/api/v1/instruments/volumes/daily', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "pagination": {
    "result_limit": 30,
    "result_offset": 50
  },
  "results": [
    {
      "timestamp": "2024-04-23T00:00:00Z",
      "instruments": [
        {
          "symbol": "BTC-PERP",
          "volume": "2180.5428999997785",
          "notional": "145087054.13650635"
        }
      ],
      "totals": {
        "total_instruments_volume": "255682824.87039998",
        "total_instruments_notional": "2180.5428999997785",
        "total_exchange_volume": "255682824.87039998",
        "total_exchange_notional": "2180.5428999997785"
      }
    }
  ]
}
InstrumentsService instrumentsService = IntxServiceFactory.createInstrumentsService(client);
GetDailyTradingVolumesRequest request = new GetDailyTradingVolumesRequest.Builder()
    .instruments("BTC-PERP")
    .build();
GetDailyTradingVolumesResponse response = instrumentsService.getDailyTradingVolumes(request);
For more information, please visit the INTX Java SDK.

Query Parameters

instruments
string
required

Identifies the instruments by name in a comma separated list (e.g., BTC-PERP,ETH-PERP)

result_limit
integer

The number of results to return (defaults to 60 with a max supported value of 100)

Example:

30

result_offset
integer

The number of results from the beginning to skip past

Example:

5

time_from
string

The first date to include data from in ISO 8601 timestamp format (e.g. 2024-03-01T00:00:00Z)

show_other
boolean

Return an OTHER bucket in the instrument list containing the volume of all instruments filtered out by the instruments query parameter

Response

Instrument list

pagination
object
results
object[]